Package: python3-astropy
Version: 3.0-2
Severity: normal


Importing astropy.units raises a warning:

In [1]: from astropy import units as u
WARNING: yacc table file version is out of date
WARNING: Couldn't create 'astropy.units.format.generic_parsetab'. [Errno 13] 
Permission denied: 
WARNING: Couldn't write lextab module 'astropy.units.format.generic_lextab'. 
[Errno 13] Permission denied: 

I think this is because this file was compiled with version 3.8 of ply while
Debian uses the system python3-ply package which is version 3.11.



-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.15.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8), LANGUAGE= 
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages python3-astropy depends on:
ii  libc6                               2.26-6
ii  libcfitsio5                         3.420-3
ii  liberfa1                            1.4.0-1
ii  libexpat1                           2.2.5-3
ii  libwcs5                             5.17-1
ii  python3                             3.6.4-1
ii  python3-configobj                   5.0.6-2
ii  python3-numpy [python3-numpy-abi9]  1:1.13.3-2
ii  python3-ply                         3.11-1
ii  python3-pytest                      3.2.5-2
ii  python3-pytest-astropy              0.2.1-1
ii  python3-six                         1.11.0-2

Versions of packages python3-astropy recommends:
ii  libjs-jquery             3.2.1-1
ii  libjs-jquery-datatables  1.10.16+dfsg-1

Versions of packages python3-astropy suggests:
ii  libxml2-utils               2.9.4+dfsg1-6.1
ii  python-astropy-doc          3.0-2
ii  python3-astropy-affiliated  1.3
pn  python3-beautifulsoup       <none>
ii  python3-h5py                2.7.1-2
ii  python3-matplotlib          2.1.1-2
ii  python3-pandas              0.22.0-2
ii  python3-scipy               0.19.1-2
ii  python3-tz                  2018.3-2
ii  python3-yaml                3.12-1+b1

-- no debconf information

Reply via email to